package com.nisum.junit;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.mockito.ArgumentMatchers.any;

@ExtendWith(MockitoExtension.class)
public class MockitoEmployeeTest {

    @Mock
    Employee employee;

    @BeforeEach
    public void setupMock() {
        employee = new Employee("Biden","Joe",50,"DT Drive","Daughtery road",
                "Washington","USA","23456");
    }

    @Test
    public void addEmployeeTest() {
        Assertions.assertNotNull(employee.getFirstName());
        Assertions.assertTrue(employee.getAge() > 40);
    }
    @Test
    public void addEmployeeTest2() {
        Assertions.assertFalse(employee.getAge() < 40);
    }
}
